ConsoleApplet (groovy 3.0.7 API)

Package: groovy.ui

## [Groovy] Class ConsoleApplet

- groovy.ui.ConsoleApplet

-     @CompileStatic
      @Deprecated
      class ConsoleApplet
      extends JApplet

  ConsoleApplet

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class JApplet` | `TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, WIDTH, HEIGHT, PROPERTIES, SOMEBITS, FRAMEBITS, ALLBITS, ERROR, ABORT`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Console` | `console`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ConsoleApplet ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `start()`
    `` | `void` | `stop()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class JApplet` | `remove, update, getAccessibleContext, getGraphics, setTransferHandler, getTransferHandler, repaint, getRootPane, setLayout, setJMenuBar, getJMenuBar, setContentPane, getContentPane, setLayeredPane, getLayeredPane, setGlassPane, getGlassPane, init, start, stop, destroy, isActive, resize, resize, getLocale, getAppletContext, isValidateRoot, getImage, getImage, getParameter, setStub, getDocumentBase, showStatus, newAudioClip, getAudioClip, getAudioClip, getAppletInfo, getParameterInfo, play, play, getCodeBase, addNotify, add, add, add, add, add, remove, list, list, validate, print, removeAll, invalidate, locate, layout, getListeners, paint, preferredSize, getPreferredSize, getMaximumSize, minimumSize, getMinimumSize, getInsets, insets, getAlignmentY, getAlignmentX, getComponent, addPropertyChangeListener, addPropertyChangeListener, setFont, setFocusTraversalKeys, removeNotify, isFocusCycleRoot, isFocusCycleRoot, getFocusTraversalPolicy, setFocusTraversalPolicy, countComponents, setComponentZOrder, getComponentZOrder, doLayout, paintComponents, printComponents, addContainerListener, removeContainerListener, getContainerListeners, deliverEvent, getMousePosition, findComponentAt, findComponentAt, isAncestorOf, getFocusTraversalKeys, areFocusTraversalKeysSet, isFocusTraversalPolicySet, setFocusCycleRoot, setFocusTraversalPolicyProvider, isFocusTraversalPolicyProvider, transferFocusDownCycle, applyComponentOrientation, getLayout, getComponents, getComponentCount, getComponentAt, getComponentAt, add, remove, toString, getName, contains, contains, list, list, list, size, getParent, getLocation, getLocation, setName, action, location, getSize, getSize, isOpaque, setSize, setSize, move, setLocale, isValid, bounds, setEnabled, getBounds, getBounds, isEnabled, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, removePropertyChangeListener, removePropertyChangeListener, printAll, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, getFontMetrics, setPreferredSize, setMaximumSize, setMinimumSize, dispatchEvent, enable, enable, setLocation, setLocation, getBaseline, getBaselineResizeBehavior, setForeground, setBackground, reshape, getX, getY, getWidth, getHeight, repaint, repaint, repaint, isDoubleBuffered, hide, nextFocus, getForeground, getFont, getTreeLock, getFocusCycleRootAncestor, isDisplayable, isPreferredSizeSet, isMaximumSizeSet, isMinimumSizeSet, getBackground, isLightweight, setBounds, setBounds, getPropertyChangeListeners, getPropertyChangeListeners, isShowing, getMousePosition, getGraphicsConfiguration, isFocusable, isFocusOwner, transferFocus, postEvent, transferFocusBackward, setDropTarget, getDropTarget, getToolkit, enableInputMethods, disable, handleEvent, isVisible, setVisible, revalidate, show, show, isForegroundSet, isBackgroundSet, isFontSet, getColorModel, getLocationOnScreen, setCursor, getCursor, isCursorSet, paintAll, imageUpdate, createImage, createImage, createVolatileImage, createVolatileImage, prepareImage, prepareImage, checkImage, checkImage, setIgnoreRepaint, getIgnoreRepaint, inside, addComponentListener, removeComponentListener, getComponentListeners, addFocusListener, removeFocusListener, getFocusListeners, addHierarchyListener, removeHierarchyListener, getHierarchyListeners, addHierarchyBoundsListener, removeHierarchyBoundsListener, getHierarchyBoundsListeners, addKeyListener, removeKeyListener, getKeyListeners, addMouseListener, removeMouseListener, getMouseListeners, addMouseMotionListener, removeMouseMotionListener, getMouseMotionListeners, addMouseWheelListener, removeMouseWheelListener, getMouseWheelListeners, addInputMethodListener, removeInputMethodListener, getInputMethodListeners, getInputMethodRequests, getInputContext, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, gotFocus, lostFocus, isFocusTraversable, setFocusable, setFocusTraversalKeysEnabled, getFocusTraversalKeysEnabled, transferFocusUpCycle, hasFocus, setComponentOrientation, getComponentOrientation, setMixingCutoutShape, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Console console

  - ### Constructor Detail

    - #### ConsoleApplet()

  - ### Method Detail

    - #### void start()

    - #### void stop()